Subject: bug#70860: Add an option to remove filenames for wc util

From: Chris Elvidge <[email-masked]>
Date: Fri, 10 May 2024 22:34:16 +0100

Yes, but if you do it (<filename or wc -n) with more than one file, how 
do you easily sort out which line refers to which file?

On 10/05/2024 at 20:52, Laurent Lyaudet wrote:
> No, it works also with many files.
> Hello,
> Best regards,
>      Laurent Lyaudet
> 
> Le ven. 10 mai 2024, 18:47, Chris Elvidge <[email-masked] 
> <mailto:[email-masked]>> a écrit :
> 
>     Why not use 'wc [options] <filename'
>     Obv. only works on a single filename.
> 
>     On 10/05/2024 at 12:36, Laurent Lyaudet wrote:
>      > Hello :),
>      >
>      > Thanks for your hard work :)
>      > I had a need for a variant of wordcount without filenames in the
>     output,
>      > tuesday.
>      >
>     https://github.com/LLyaudet/DevOrSysAdminScripts/blob/main/build_and_checks_dependencies/lines_filters.sh
>      >
>     https://github.com/LLyaudet/DevOrSysAdminScripts/commit/f0cb3291de4ad0bc63e40baf31364d1af6849f12
>      > I started to make a patch on GNU coreutils on that day,
>      > but I had to interrupt and continue today.
>      > Here is the patch joined to this email.
>      >
>      >
>      > Best summary of the feature is just to copy-paste my commit message:
>      > wc: Add an option -n --no-filenames.
>      >
>      > wc now has an option -n or --no-filenames to remove the filenames
>      > from the output lines.
>      > It is useful when used in conjunction with a single option
>      > -c, -m, -l, -L, or -w,
>      > since the result is a single number per line that can be easily used
>      > in shell (Bash) scripts,
>      > without having to pipe the result with cut.
>      >
>      > doc/coreutils.texi: Add option -n to documentation.
>      > NEWS: Mention the change option -n added and justify it.
>      > src/wc.c: Modify the source code to have an option -n.
>      > tests/wc/wc-no-filenames.sh: Test --no-filenames option for wc.
>      >
>      >
>      > Note that it should be a -f --filenames option if the default was
>     different.
>      > If the default was configurable,
>      > then we should have -f --filenames -n --no-filenames options,
>      > like is possible in some of the latest versions of argparse in Python
>      > (argparse.BooleanOptionalAction).
>      > I don't know how to handle that in C code.
>      > Please accept my patch and improve upon it if needed.
>      >
>      > Best regards,
>      >       Laurent Lyaudet
>      >
> 
> 
>     -- 
> 
>     Chris Elvidge
> 
> 

-- 

Chris Elvidge